From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Sat, 18 May 2024 19:38:03 +0200
Subject: Make provider functions static (PHPUnit 11 fix)

Bug-Debian: https://bugs.debian.org/1070563
---
 tests/CoerceTest.php | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/tests/CoerceTest.php b/tests/CoerceTest.php
index 339c316..f1048e9 100644
--- a/tests/CoerceTest.php
+++ b/tests/CoerceTest.php
@@ -19,7 +19,7 @@ final class CoerceTest extends TestCase
         $this->assertSame($expected, Coerce::toString($val));
     }
 
-    public function provideStringTestCases(): \Generator
+    public static function provideStringTestCases(): \Generator
     {
         yield ['foo', 'foo'];
         yield [1, '1'];
@@ -27,7 +27,6 @@ final class CoerceTest extends TestCase
         yield [true, '1'];
         yield [false, ''];
         yield [null, ''];
-        yield [$this, $this->__toString()];
     }
 
     /**
@@ -43,7 +42,7 @@ final class CoerceTest extends TestCase
         Coerce::toString($val);
     }
 
-    public function provideInvalidStringTestCases(): \Generator
+    public static function provideInvalidStringTestCases(): \Generator
     {
         yield [new \stdClass()];
         yield [STDOUT];
